Package weka.gui.beans

# Class AbstractTrainAndTestSetProducerBeanInfo

java.lang.Object
java.beans.SimpleBeanInfo
weka.gui.beans.AbstractTrainAndTestSetProducerBeanInfo

All Implemented Interfaces:
  `BeanInfo`

Direct Known Subclasses:
  `CrossValidationFoldMakerBeanInfo`, `TrainTestSplitMakerBeanInfo`

public class AbstractTrainAndTestSetProducerBeanInfo extends SimpleBeanInfo
Bean info class for AbstractTrainAndTestSetProducers

Version:
  $Revision: 1.2 $
Author:
  Mark Hall

## Field Summary

### Fields inherited from interface java.beans.BeanInfo

`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

## Constructor Summary

Constructors
Constructor
Description
`AbstractTrainAndTestSetProducerBeanInfo()`

## Method Summary

Modifier and Type
Method
Description
`EventSetDescriptor[]`
`getEventSetDescriptors()`

### Methods inherited from class java.beans.SimpleBeanInfo

`getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getIcon, getMethodDescriptors, getPropertyDescriptors, loadImage`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractTrainAndTestSetProducerBeanInfo

public AbstractTrainAndTestSetProducerBeanInfo()

## Method Details

### getEventSetDescriptors

public EventSetDescriptor[] getEventSetDescriptors()

Specified by:
  `getEventSetDescriptors` in interface `BeanInfo`
Overrides:
  `getEventSetDescriptors` in class `SimpleBeanInfo`